
Summary: KDE Photo Album 
Name:	 kphotoalbum
Version: 4.1.1
Release: 15%{?dist}

License: GPLv2+
Group:   Applications/Multimedia 
URL:	 http://kphotoalbum.org/
Source0:  http://kphotoalbum.org/data/download/kphotoalbum-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## upstream patches
Patch100: kphotoalbum-4.1.1-docbook_fix.patch
# http://websvn.kde.org/?view=revision&revision=1213128
Patch101: kphotoalbum-4.1.1-exiv2_021.patch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig(exiv2)
BuildRequires: pkgconfig(libkdcraw) >= 0.4.0
BuildRequires: pkgconfig(libkexiv2) >= 0.5.0
BuildRequires: pkgconfig(libkipi) >= 0.3.0
BuildRequires: marble-devel
BuildRequires: soprano-devel

%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}
Requires: kdeedu-marble%{?_isa}%{?_kde4_version: >= %{_kde4_version}} 

%description
A photo album tool. Focuses on three key points:
  * It must be easy to describe a number of images at a time. 
  * It must be easy to search for images. 
  * It must be easy to browse and View the images.


%prep
%setup -q 

%patch100 -p1
%patch101 -p4 -b exiv2_021


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde


%check
for dt_file in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
  desktop-file-validate $dt_file 
done


%clean
rm -rf %{buildroot} 


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{_kde4_bindir}/kphotoalbum
%{_kde4_appsdir}/kphotoalbum/
%{_kde4_datadir}/applications/kde4/kphotoalbum.desktop
%{_kde4_datadir}/applications/kde4/kphotoalbum-import.desktop
%{_kde4_datadir}/config/*rc
%{_kde4_iconsdir}/hicolor/*/*/*


%changelog
* Mon Mar 19 2012 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-15
- BR: libjpeg-devel

* Wed Nov 30 2011 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-14
- rebuild (marble)

* Fri Oct 14 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.1.1-13
- rebuild (exiv2)

* Sat Sep 17 2011 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-12
- BR: marble-devel

* Fri Jul 01 2011 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-11
- rebuild (libkdcraw,marble)
- adjust to pkgconfig-style deps

* Wed Jun 15 2011 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-10
- rebuild (marble)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 01 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.1.1-8
- rebuild (exiv2)

* Tue Nov 23 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.1.1-7
- rebuild

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.1.1-6 
- rebuild (exiv2)
- docbook fix (for kde-4.5.x)

* Wed Feb 10 2010 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-5
- touchup marble deps

* Thu Jan 28 2010 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-4
- use %%{_kde4_version}

* Mon Jan 03 2010 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-3
- rebuild (exiv2)

* Wed Nov 18 2009 Rex Dieter <rdieter@fedoraproject.org> 4.1.1-1
- kphotoalbum-4.1.1

* Sun Oct 25 2009 Rex Dieter <rdieter@fedoraproject.org> 4.1-1
- kphotoalbum-4.1

* Wed Jul 29 2009 Rex Dieter <rdieter@fedoraproject.org> 4.0.2-1
- kphotoalbum-4.0.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.0.1-1
- kphotoalbum-4.0.1

* Tue May 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.0-1
- kphotoalbum-4.0 (final)

* Mon Mar 09 2009 Rex Dieter <rdieter@fedoraproject.org> -  3.2-0.10.20090308
- kphotoalbum-20090308 snapshot

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-0.9.20090211svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 3.2-0.8.20090211svn
- kphotoalbum-2009-02-11 snapshot
- enable marble integration

* Mon Dec 22 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.2-0.7.20081007svn
- BR: libkipi-devel >= 0.3.0

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 3.2-0.6.20081007svn 
- respin (exiv2)

* Tue Dec 03 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.5.20081007svn
- respin (kdegraphics)
- BR: soprano-devel

* Wed Oct 29 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.4.20081007svn
- respin (kdegraphics)

* Mon Oct 06 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.2-0.3.20081007svn
- new snapshot (20081007svn)
- use create_tarball.rb (includes translations)
- build against latest kdegraphics
- fix typos in description

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.2.20080929svn
- respin against newer kdegraphics
- kphotoalbum-20080929svn snapshot

* Sat Aug 02 2008 Rex Dieter <rdieter@fedoraproject.org> 3.2-0.1.20080802svn
- kphotoalbum-20080802svn snapshot

* Wed Jun 25 2008 Rex Dieter <rdieter@fedoraproject.org> 3.1.1-3 
- respin for exiv2

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 3.1.1-2
- respin

* Tue Mar 18 2008 Rex Dieter <rdieter@fedoraproject.org> 3.1.1-1
- kphotoalbum-3.1.1

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.1.0-2
- Autorebuild for GCC 4.3

* Sat Nov 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.1.0-1
- kphotoalbum-3.1.0

* Tue Nov 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-7
- respin for exiv2-0.16

* Sun Aug 26 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-6
- desktop file patch (make MimeType=... end with ;)

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-5
- fix %%check

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-3
- specfile cosmetics
- respin (BuildID)

* Sat Aug 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-2
- License: GPLv2+

* Thu Apr 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-1
- kphotoalbum-3.0.2

* Wed Apr 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.1-1
- kphotoalbum-3.0.1

* Sun Dec 31 2006 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0-1
- kphotoalbum-3.0

* Tue Nov 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-7
- BR: exiv2-devel >= 0.12

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-6
- respin
- drop deprecated Provides: kimdaba

* Tue Sep 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-5
- BR: exiv2-devel >= 0.11

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-4
- fc6 respin

* Sat Jun 03 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-3
- respin against exiv2-0.10

* Thu May 18 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-2
- (temporarily) add Provides: kimdaba = %%version

* Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-1
- renamed kphotoalbum

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-6
- relative symlinks
- simplify configure

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-4
- --add-category Application

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-3
- %%doc: COPYING
- Req(post,postun): update-desktop-database
- gtk-update-icon-cache
- remove unused crud (kde-redhat bits)
- Group: Applications/Multimedia
- drop %%{?debug_package} conditionals

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-2
- icon/mime spec

* Tue May 3 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-1
- real-deal 2.1 release (including -i18n bits)

* Mon May 2 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-0
- 2.1 (pre) release

* Mon Nov 15 2004 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.fdr.1
- 2.0

* Fri Feb 27 2004 Rex Dieter <rexdieter at sf.net> 0:1.1-0.fdr.0
- first try

